-- This script is the main script called by YagCharacterSheet
-- Here i use it only as a place holder to load the main module and call its functions
-- see the official documentation for details: http://yagame.fr/documentation/

-- load the main module
m = require("donjons")

-- This is the function called by Yag when you modify a character sheet
-- This is where you can put the code to modify the current character sheet
-- sp = all Selected Pawns
-- cs = current Character Sheet
function Yag_CharacterSheetUpdate(sp, cs)
	--yag.LocalMessage("Calling YagCharacterSheet")
	return m.My_CharacterSheetUpdate(sp, cs)
end

-- This is the function called by Yag when you roll dice
-- This is where you can put the code to modify the dice roll and call the actual rolling
-- sp = all Selected Pawns
-- cs = current Character Sheet
-- id = ID of the selected line
-- f1 = first formula
-- f2 = second formpula
-- dro = Dice Roll Origin (1 = line from a cs, 2 = dice panel, 3 = init)
function Yag_RollDiceButton(sp, cs, id, f1, f2, dro)
	--yag.LocalMessage("Calling RollDiceButton")
	m.My_RollDiceButton(sp, cs, id, f1, f2, dro)
end

-- This is the call back function called by Yag when a dice roll is finished
-- This is where you can put the code to compute, reroll and display dice results
-- sp = all Selected Pawns
-- cs = current Character Sheet
-- id = ID of the selected line
-- dr1 = first Dice Result (see documentation for details) 
-- dr2 = second Dice Result (see documentation for details) 
-- dro = Dice Roll Origin (1 = line from a cs, 2 = dice panel, 3 = init)
-- us = User String = free string to use at your convenience, Yag is doing nothing with it
function Yag_RollDiceCallback(sp, cs, id, dr1, dr2, dro, us)
	--yag.LocalMessage("Calling RollDiceCallback")
	m.My_RollDiceCallback(sp, cs, id, dr1, dr2, dro, us)
end


